Loading...
Searching...
No Matches
elastix::ElastixTypedef< VIndex > Class Template Reference

`#include <elxPrepareImageTypeSupport.h>`

## Detailed Description

template<unsigned VIndex>
class elastix::ElastixTypedef< VIndex >

Class template, intended to be specialized for all supported image types, by elxSupportedImageTypeMacro calls in the CMake generated file "elxSupportedImageTypes.h"

Definition at line 34 of file elxPrepareImageTypeSupport.h.

## Public Types

using | ElastixType = ::itk::Object

## Static Public Attributes

static constexpr unsigned int | FixedDimension { 0 }
static constexpr const char * | FixedPixelTypeString { "" }
static constexpr bool | IsDefined { false }
static constexpr unsigned int | MovingDimension { 0 }
static constexpr const char * | MovingPixelTypeString { "" }

## Member Typedef Documentation

## ElastixType

template<unsigned VIndex>

using elastix::ElastixTypedef< VIndex >::ElastixType = ::itk::Object

In the specialisations of this template class this typedef will make sense

Definition at line 39 of file elxPrepareImageTypeSupport.h.

## Field Documentation

## FixedDimension

template<unsigned VIndex>

unsigned int elastix::ElastixTypedef< VIndex >::FixedDimension { 0 }

static constexpr

Definition at line 42 of file elxPrepareImageTypeSupport.h.

## FixedPixelTypeString

template<unsigned VIndex>

const char* elastix::ElastixTypedef< VIndex >::FixedPixelTypeString { "" }

static constexpr

Definition at line 40 of file elxPrepareImageTypeSupport.h.

## IsDefined

template<unsigned VIndex>

bool elastix::ElastixTypedef< VIndex >::IsDefined { false }

static constexpr

In the specialisations of this template class, this value will be 'true'

Definition at line 45 of file elxPrepareImageTypeSupport.h.

## MovingDimension

template<unsigned VIndex>

unsigned int elastix::ElastixTypedef< VIndex >::MovingDimension { 0 }

static constexpr

Definition at line 43 of file elxPrepareImageTypeSupport.h.

## MovingPixelTypeString

template<unsigned VIndex>

const char* elastix::ElastixTypedef< VIndex >::MovingPixelTypeString { "" }

static constexpr

Definition at line 41 of file elxPrepareImageTypeSupport.h.

Generated on 1768596610 for elastix by 1.15.0 |